net.sf.jasperreports.data.xls

## Interface XlsDataAdapter

- All Superinterfaces:
    DataAdapter
  All Known Subinterfaces:
    ExcelDataAdapter, XlsxDataAdapter
  All Known Implementing Classes:
    ExcelDataAdapterImpl, XlsDataAdapterImpl, XlsxDataAdapterImpl

      public interface XlsDataAdapter
      extends DataAdapter

  Version:
    $Id: XlsDataAdapter.java 6920 2014-02-24 09:42:04Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Integer>` | `getColumnIndexes()`
    `java.util.List<java.lang.String>` | `getColumnNames()`
    `java.lang.String` | `getDatePattern()`
    `java.lang.String` | `getFileName()`
    `java.lang.String` | `getNumberPattern()`
    `java.lang.String` | `getSheetSelection()`
    `boolean` | `isQueryExecuterMode()`
    `boolean` | `isUseFirstRowAsHeader()`
    `void` | `setColumnIndexes(java.util.List<java.lang.Integer> columnIndexes)`
    `void` | `setColumnNames(java.util.List<java.lang.String> columnNames)`
    `void` | `setDatePattern(java.lang.String datePattern)`
    `void` | `setFileName(java.lang.String filename)`
    `void` | `setNumberPattern(java.lang.String numberPattern)`
    `void` | `setQueryExecuterMode(boolean queryExecuterMode)`
    `void` | `setSheetSelection(java.lang.String sheetSelection)`
    `void` | `setUseFirstRowAsHeader(boolean useFirstRowAsHeader)`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Method Detail

    - #### getDatePattern

          java.lang.String getDatePattern()

    - #### getNumberPattern

          java.lang.String getNumberPattern()

    - #### getFileName

          java.lang.String getFileName()

    - #### setFileName

          void setFileName(java.lang.String filename)

    - #### isUseFirstRowAsHeader

          boolean isUseFirstRowAsHeader()

    - #### getColumnNames

          java.util.List<java.lang.String> getColumnNames()

    - #### getColumnIndexes

          java.util.List<java.lang.Integer> getColumnIndexes()

    - #### setColumnNames

          void setColumnNames(java.util.List<java.lang.String> columnNames)

    - #### setColumnIndexes

          void setColumnIndexes(java.util.List<java.lang.Integer> columnIndexes)

    - #### setUseFirstRowAsHeader

          void setUseFirstRowAsHeader(boolean useFirstRowAsHeader)

    - #### setDatePattern

          void setDatePattern(java.lang.String datePattern)

    - #### setNumberPattern

          void setNumberPattern(java.lang.String numberPattern)

    - #### isQueryExecuterMode

          boolean isQueryExecuterMode()

    - #### setQueryExecuterMode

          void setQueryExecuterMode(boolean queryExecuterMode)

    - #### getSheetSelection

          java.lang.String getSheetSelection()

    - #### setSheetSelection

          void setSheetSelection(java.lang.String sheetSelection)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com